summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYongqin Liu <yongqin.liu@linaro.org>2015-05-20 10:57:48 +0100
committerYongqin Liu <yongqin.liu@linaro.org>2015-05-20 10:57:48 +0100
commitc557a28ba5f61987d052bfa000f931a9f5594445 (patch)
tree235e3bc1c85e1e2be96c69ecb758a014fb28c4cb
parent95d833108de2410c5c1fe13453856783a6311531 (diff)
downloadandroid-patchsets-c557a28ba5f61987d052bfa000f931a9f5594445.tar.gz
update patch set for M-LCRs and R-LCRs
delete the bionic optimization patches from LOLLIPOP-STABLE-PATCHSET which is used for R-LCRs, and add the LOLLIPOP-MLCR-PATCHSET file which will be used for M-LCRs Change-Id: I6851e578b0757c8b3edc05110942cd211df9217d Signed-off-by: Yongqin Liu <yongqin.liu@linaro.org>
-rwxr-xr-xLOLLIPOP-MLCR-PATCHSET78
-rwxr-xr-xLOLLIPOP-STABLE-PATCHSET8
2 files changed, 78 insertions, 8 deletions
diff --git a/LOLLIPOP-MLCR-PATCHSET b/LOLLIPOP-MLCR-PATCHSET
new file mode 100755
index 0000000..e3a252f
--- /dev/null
+++ b/LOLLIPOP-MLCR-PATCHSET
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+##################################################
+################ Non-upstreamable ################
+##################################################
+# Include bionic tests patch http://review.android.git.linaro.org/#/c/15288/
+apply --linaro system/extras 15288/2
+
+##################################################
+################ Backport ########################
+##################################################
+# Include fix for monkey crash on browser package:
+# https://android-review.googlesource.com/#/c/118963
+apply packages/apps/Browser 118963/1
+# Fix Java detection on Linux distributions that
+# rely on update-alternatives to allow several JDKs
+# to coexist
+cherrypick build 311384fec340a7f2f76ca7f45599987df4341d5b
+# Allow the Denver implementation of memset to build
+# with clang
+cherrypick bionic ce46f5576ad0c9aefd842492949c4d2965e23e89
+# Allow Bionic to build with clang
+apply --linaro bionic 15515/1
+# Allow skia to build with giflib 5.1
+apply external/skia 151010/1
+
+##################################################
+################## Bug fixes #####################
+##################################################
+# Uninitialized variable
+apply --linaro external/bluetooth/bluedroid 15610/1
+# Fix API check on build hosts with modern glibc versions
+apply system/core 114555/1
+# Make sure HAVE_MALLOC_H has a value to make updated sqlite happy
+cherrypick build 9b44afb4529d743e291d6565d6fbe463cd8c964b
+
+##################################################
+################ Temporary fix ###################
+##################################################
+# Include patch for start and stop file path for bootchart:
+# https://android-review.googlesource.com/#/c/117071/
+apply --linaro system/core 15367/2
+apply --linaro external/sepolicy 15506/1
+
+##################################################
+#### Optimizations not yet submitted upstream ####
+##################################################
+# Add optimizations from cortex-string for bionic
+apply --linaro bionic 15494/5
+apply --linaro bionic 15528/1
+apply --linaro bionic 15529/1
+# Further Bionic optimizations
+apply --linaro bionic 15553/1
+apply --linaro bionic 15566/1
+
+########################################################
+#### Backports of optimizations submitted to master ####
+########################################################
+apply --linaro bionic 15613/3
+
+##################################################
+################ Linaro hack ###################
+##################################################
diff --git a/LOLLIPOP-STABLE-PATCHSET b/LOLLIPOP-STABLE-PATCHSET
index e3a252f..a403240 100755
--- a/LOLLIPOP-STABLE-PATCHSET
+++ b/LOLLIPOP-STABLE-PATCHSET
@@ -60,18 +60,10 @@ apply --linaro external/sepolicy 15506/1
##################################################
#### Optimizations not yet submitted upstream ####
##################################################
-# Add optimizations from cortex-string for bionic
-apply --linaro bionic 15494/5
-apply --linaro bionic 15528/1
-apply --linaro bionic 15529/1
-# Further Bionic optimizations
-apply --linaro bionic 15553/1
-apply --linaro bionic 15566/1
########################################################
#### Backports of optimizations submitted to master ####
########################################################
-apply --linaro bionic 15613/3
##################################################
################ Linaro hack ###################